scoreboard players add Time Data 1

#set everything up
execute if score Time Data matches 1 run function btp:chairs

execute if score Time Data matches 1 run effect give @a minecraft:regeneration 1 255 true
execute if score Time Data matches 1 run effect give @a weakness 4 255 true

execute if score Time Data matches 1 run effect clear @a

execute if score Time Data matches 2 run scoreboard players reset @a Damage_absorbed
execute if score Time Data matches 2 run scoreboard players reset @a Damage_dealth

execute if score Time Data matches 2 run title @a times 0 30 5

#countdown
execute if score Time Data matches 10 run title @a subtitle ["",{"text":"in "},{"text":"3...","color":"dark_purple"}]
execute if score Time Data matches 10 run title @a title ["",{"text":"2","color":"dark_purple"},{"text":" people will be given "},{"text":"the potato","color":"green"}]

execute if score Time Data matches 30 run title @a subtitle ["",{"text":"in "},{"text":"2...","color":"dark_purple"}]
execute if score Time Data matches 30 run title @a title ["",{"text":"2","color":"dark_purple"},{"text":" people will be given "},{"text":"the potato","color":"green"}]

execute if score Time Data matches 50 run title @a subtitle ["",{"text":"in "},{"text":"1...","color":"dark_purple"}]
execute if score Time Data matches 50 run title @a title ["",{"text":"2","color":"dark_purple"},{"text":" people will be given "},{"text":"the potato","color":"green"}]

execute if score Time Data matches 70 run title @a subtitle {"text": "GO","color": "green"}
execute if score Time Data matches 70 run title @a title ""

execute if score Time Data matches 70 run tag @a remove seat

execute if score Time Data matches 70 run item replace entity @r[limit=2,gamemode=adventure] weapon.offhand with baked_potato

#voting time
execute if score Time Data matches 70 run scoreboard players set Potato Temp 0
execute if score Time Data matches 70 run bossbar set potato visible true
execute if score Time Data matches 70..470 run scoreboard players add Potato Temp 1
execute if score Time Data matches 70..470 run bossbar set potato players @a
execute if score Time Data matches 70..470 run execute store result bossbar potato value run scoreboard players get Potato Temp
execute if score Time Data matches 70..470 run execute as @a store result score @s Potato run clear @s baked_potato 0
execute if score Time Data matches 70..470 run tag @a remove potato
execute if score Time Data matches 70..470 run execute as @a if score @s Potato matches 1.. run tag @s add potato
execute if score Time Data matches 70 run item replace entity @a[tag=potato] hotbar.0 with iron_sword{Unbreakable: 1b}
execute if score Time Data matches 70..470 run execute as @a if score @s Damage_absorbed matches 1.. if score @s Damage_absorbed = @p[scores={Damage_dealth=1..}] Damage_dealth run item replace entity @s weapon.offhand with baked_potato
execute if score Time Data matches 70..470 run execute as @a if score @s Damage_absorbed matches 1.. if score @s Damage_absorbed = @p[scores={Damage_dealth=1..}] Damage_dealth run item replace entity @s hotbar.0 with iron_sword{Unbreakable: 1b}
execute if score Time Data matches 70..470 run execute as @a if score @s Damage_dealth matches 1.. if score @s Damage_dealth = @p[scores={Damage_absorbed=1..}] Damage_absorbed run clear @s
execute if score Time Data matches 70..470 run scoreboard players reset @a Damage_absorbed
execute if score Time Data matches 70..470 run scoreboard players reset @a Damage_dealth
execute if score Time Data matches 70..470 run execute as @a[tag=potato] run title @s actionbar {"text": "You have the potato!","color": "red"}
execute if score Time Data matches 70..470 run execute as @a[tag=!potato] run title @s actionbar {"text": "You don't have the potato!","color": "green"}
execute if score Time Data matches 70..470 run effect give @a[tag=potato] glowing 1 255 true
execute if score Time Data matches 70..470 run effect clear @a[tag=!potato] glowing

scoreboard players set Total Potato 0
execute if score Time Data matches 70..470 as @a[scores={Potato=1..}] run scoreboard players add Total Potato 1
execute if score Time Data matches 70..470 if score Total Potato matches 3.. run clear @r[tag=Potato,limit=1] baked_potato
execute if score Time Data matches 70..470 if score Total Potato matches ..1 run item replace entity @r[limit=1,gamemode=adventure,scores={Potato=0}] weapon.offhand with baked_potato

execute if score Time Data matches 70..470 run effect give @a[tag=potato] resistance 1 255 true
execute if score Time Data matches 70..470 run effect clear @a[tag=!potato] resistance

execute if score Time Data matches 70..470 run effect give @a[tag=!potato] weakness 1 255 true
execute if score Time Data matches 70..470 run effect clear @a[tag=potato] weakness

execute if score Time Data matches 70..470 run effect give @a regeneration 1 255 true

#time up
execute if score Time Data matches 471 run function btp:chairs
execute if score Time Data matches 471 run tag @a remove potato
execute if score Time Data matches 471 run execute as @a if score @s Potato matches 1.. run tag @s add potato
execute if score Time Data matches 471 run title @a title "\uE000"

execute if score Time Data matches 471 run bossbar set potato visible false

#countdown
execute if score Time Data matches 480 run title @a subtitle ["",{"text": "Duel starts in 3...","color": "dark_purple"}]
execute if score Time Data matches 480 run title @a title ""

execute if score Time Data matches 500 run title @a subtitle ["",{"text": "Duel starts in 2...","color": "dark_purple"}]
execute if score Time Data matches 500 run title @a title ""

execute if score Time Data matches 520 run title @a subtitle ["",{"text": "Duel starts in 1...","color": "dark_purple"}]
execute if score Time Data matches 520 run title @a title ""

execute if score Time Data matches 540 run title @a subtitle {"text": "GO","color": "green"}
execute if score Time Data matches 540 run title @a title ""

execute if score Time Data matches 540 run tag @a[tag=potato] remove seat
execute if score Time Data matches 540 run clear @a
execute if score Time Data matches 540 run effect clear @a
execute if score Time Data matches 540 run effect give @a[tag=!potato,gamemode=adventure] weakness 255 255 true
execute if score Time Data matches 540 run effect give @a[tag=!potato,gamemode=adventure] resistance 255 255 true
execute if score Time Data matches 540 run item replace entity @a[tag=potato] hotbar.0 with iron_sword{Unbreakable: 1b}

#too long of an matches
execute if score Time Data matches 2340.. run kill @r[limit=1,tag=potato]

#check if there are any dead people
execute unless score Alive_old Temp = Alive Data run scoreboard players set Time Data 0
scoreboard players operation Alive_old Temp = Alive Data

execute unless score Alive Data matches ..2 run schedule function mode:potato 1t

#start the duel if there are only 2 people left
execute if score Alive Data matches ..2 run function mode:duel_start