#tp all players where they are supposed to be
execute positioned 12.5 5 7.5 run tp @p[distance=..1,tag=seat,sort=nearest] 12.5 5 7.5
execute positioned 12.5 5 9.5 run tp @p[distance=..1,tag=seat,sort=nearest] 12.5 5 9.5
execute positioned 4.5 5 7.5 run tp @p[distance=..1,tag=seat,sort=nearest] 4.5 5 7.5
execute positioned 5.5 5 5.5 run tp @p[distance=..1,tag=seat,sort=nearest] 5.5 5 5.5
execute positioned 4.5 5 9.5 run tp @p[distance=..1,tag=seat,sort=nearest] 4.5 5 9.5
execute positioned 11.5 5 5.5 run tp @p[distance=..1,tag=seat,sort=nearest] 11.5 5 5.5
execute positioned 7.5 5 12.5 run tp @p[distance=..1,tag=seat,sort=nearest] 7.5 5 12.5
execute positioned 9.5 5 4.5 run tp @p[distance=..1,tag=seat,sort=nearest] 9.5 5 4.5
execute positioned 9.5 5 12.5 run tp @p[distance=..1,tag=seat,sort=nearest] 9.5 5 12.5
execute positioned 11.5 5 11.5 run tp @p[distance=..1,tag=seat,sort=nearest] 11.5 5 11.5
execute positioned 5.5 5 11.5 run tp @p[distance=..1,tag=seat,sort=nearest] 5.5 5 11.5
execute positioned 7.5 5 4.5 run tp @p[distance=..1,tag=seat,sort=nearest] 7.5 5 4.5
#tp @a[gamemode=spectator] 13 19 13 134.6 65.2
execute positioned 8 7 8 run tp @a[gamemode=spectator,distance=10..] 8.5 11 8.5 90 90
execute as @a[gamemode=spectator,x=-6,y=3,z=5,dx=25,dy=-2,dz=25] run tp @s 8.5 11 8.5 90 90

#disable dropping
execute as @e[type=item,tag=!processed] run data modify entity @s Owner set from entity @s Thrower
execute as @e[type=item,tag=!processed] run data modify entity @s PickupDelay set value 0
tag @e[type=item] add processed

#effects
effect give @a saturation 100 255 true
execute positioned 105 5 8 run effect give @a[distance=..30] resistance 1 255 true
execute positioned 105 5 8 run effect give @a[distance=..30] weakness 1 255 true

#correct dead players
execute as @a[scores={Deaths=1..}] run title @s title {"text": "YOU DIED", "color": "red","bold": true}
execute as @a[scores={Deaths=1..}] run gamemode spectator @s
execute as @a[scores={Deaths=1..}] run tag @s remove Killer
execute as @a[scores={Deaths=1..}] run tag @s remove seat
execute as @a[scores={Deaths=1..}] run tag @s remove Player
execute as @a[scores={Deaths=1..}] run clear @s
scoreboard players reset @a Deaths

#correct left players and players who just joined
execute as @a if score @s Played_time matches 1 run scoreboard players add @s leave 1

execute if score Time Data matches 0 as @a if score @s leave matches 1.. run gamemode adventure @s
execute if score Time Data matches 0 as @a if score @s leave matches 1.. run tag @s remove seat
execute if score Time Data matches 0 as @a if score @s leave matches 1.. run tp @s 102 5 16

execute unless score Time Data matches 0 as @a if score @s leave matches 1.. run gamemode spectator @s

execute unless score Start Temp matches 0 as @a if score @s leave matches 1.. run tag @s remove not_voted
execute unless score Start Temp matches 0 as @a if score @s leave matches 1.. run tag @s remove player

scoreboard players reset @a leave

#give advancements
execute positioned 115 2 -2 run advancement grant @a[distance=..3] only btp:couch
#execute positioned 115 5 9 run advancement grant @a[distance=..1.5] only btp:found
execute as @a[advancements={btp:found=false}] at @s if block ~ ~-1 ~ flower_pot run advancement grant @s only btp:found

execute as @a[advancements={btp:time=false}] if score @s Played_time matches 72000.. run advancement grant @s only btp:time
execute as @a[advancements={btp:bunny=false}] if score @s jump_count matches 1000.. run advancement grant @s only btp:bunny

execute as @a[advancements={btp:time2=false}] if score @s Played_time matches 144000.. run advancement grant @s only btp:time2
execute as @a[advancements={btp:bunny2=false}] if score @s jump_count matches 2000.. run advancement grant @s only btp:bunny2

execute as @a[name=!"GeneralGimmy",advancements={btp:secretarium=false}] run advancement grant @s only btp:secretarium

#give get all secrets achivement
execute as @a[advancements={btp:bunny=true,btp:time=true,btp:couch=true,btp:credits=true,btp:found=true,btp:secret=false}] run advancement grant @s only btp:secret

#out of bounds
execute positioned 105 5 8 run advancement grant @a[gamemode=adventure,distance=20..30] only btp:bounds
execute positioned 105 5 8 run tp @a[gamemode=adventure,distance=20..30] ~ ~ ~

execute positioned 8 5 8 run advancement grant @a[gamemode=adventure,distance=20..30] only btp:bounds
execute positioned 8 5 8 run tp @a[gamemode=adventure,distance=20..30] ~ ~ ~

#lobby music
execute positioned 105 5 8 as @a[distance=..30,tag=!music] run playsound btp:music.lobby record @s
execute positioned 105 5 8 as @a[distance=..30,tag=!music] run tag @s add music

execute positioned 105 5 8 as @a[distance=30..,tag=music] run stopsound @s record btp:music.lobby
execute positioned 105 5 8 as @a[distance=30..,tag=music] run tag @s remove music

#smuggle achivement
scoreboard players reset @a sword
execute positioned 105 5 8 as @a[distance=..30] store success score @s sword run clear @s iron_sword 0
execute positioned 105 5 8 as @a[distance=..30,scores={sword=1..},advancements={btp:smuggle=false}] run advancement grant @s only btp:smuggle
