scoreboard players add Time Data 1

#execute if score Time Data matches 1 run

execute if score Time Data matches 1 run effect give @a weakness 255 255 true

execute if score Time Data matches 1 run effect give @a minecraft:regeneration 1 255 true
execute if score Time Data matches 1 run kill @e[type=arrow]

execute if score Time Data matches 2 run function btp:chairs

execute if score Time Data matches 5 run tag @a remove Crossbow
execute if score Time Data matches 5 run tag @r[limit=1,gamemode=adventure] add Crossbow

execute if score Time Data matches 3 run clear @a
execute if score Time Data matches 3 run effect clear @a

execute if score Time Data matches 6 run effect clear @a weakness
execute if score Time Data matches 6 run effect give @a[tag=!Crossbow] weakness 100 255 true

execute if score Time Data matches 10 run title @a title [{"text":"1 person","color":"dark_purple"},{"text":" will be given","color":"white"}]
execute if score Time Data matches 10 run title @a subtitle [{"text":"a crossbow ","color":"green","bold":true},{"text":"in","color":"white"},{"text":" 3...","color":"dark_purple"}]

execute if score Time Data matches 30 run title @a title [{"text":"1 person","color":"dark_purple"},{"text":" will be given","color":"white"}]
execute if score Time Data matches 30 run title @a subtitle [{"text":"a crossbow ","color":"green","bold":true},{"text":"in","color":"white"},{"text":" 2...","color":"dark_purple"}]

execute if score Time Data matches 50 run title @a title [{"text":"1 person","color":"dark_purple"},{"text":" will be given","color":"white"}]
execute if score Time Data matches 50 run title @a subtitle [{"text":"a crossbow ","color":"green","bold":true},{"text":"in","color":"white"},{"text":" 1...","color":"dark_purple"}]

execute if score Time Data matches 70 run title @a[tag=Crossbow,gamemode=adventure] title {"text":"You have the crossbow","color": "green"}
execute if score Time Data matches 70 run title @a[tag=!Crossbow,gamemode=adventure] title ["",{"selector":"@a[tag=Crossbow,gamemode=adventure]","color":"dark_purple","bold": true},{"text": " has the crossbow","color": "red"}]
execute if score Time Data matches 70 run title @a[gamemode=adventure] subtitle ""

execute if score Time Data matches 70 run tag @a[tag=Crossbow] remove seat

execute if score Time Data matches 70 run item replace entity @a[tag=Crossbow] hotbar.0 with crossbow{HideFlags: 7, Unbreakable: 1b, ChargedProjectiles: [{id: "minecraft:arrow", Count: 1b}, {}, {}], Charged: 1b}

execute if score Time Data matches 70 run effect clear @a weakness

execute as @a[advancements={btp:arrow=true}] run kill @s
execute as @a[advancements={btp:arrow=true}] run advancement revoke @s only btp:arrow
clear @a crossbow{Charged: 0b}

scoreboard players reset @a Damage_absorbed
scoreboard players reset @a Damage_dealth

execute if score Time Data matches 370 run kill @a[tag=Crossbow]

scoreboard players reset Alive Data
execute as @a[gamemode=adventure] run scoreboard players add Alive Data 1

#check if there are any dead people
execute unless score Alive_old Temp = Alive Data run scoreboard players set Time Data 0
scoreboard players operation Alive_old Temp = Alive Data

#schedule itself
execute unless score Alive Data matches ..2 run schedule function mode:crossbow 1t

#start the duel if there are only 2 people left
execute if score Alive Data matches ..2 run function mode:duel_start

#kill the person if he misses
#execute if score Time Data matches 80.. if entity @e[type=arrow,nbt={inGround: true}] run kill @a[tag=Crossbow]
#execute if score Time Data matches 80.. if entity @e[type=arrow,nbt={inGround: true}] run kill @e[type=arrow]

#bossbar
execute if score Time Data matches 1 run bossbar set crossbow players @a
execute if score Time Data matches 1 run bossbar set crossbow visible true
execute if score Time Data matches 1 store result bossbar crossbow value run scoreboard players set crossbow Temp 300
execute if score Time Data matches 70.. store result bossbar crossbow value run scoreboard players remove crossbow Temp 1
execute if score Alive Data matches ..2 run bossbar set crossbow visible false