scoreboard players remove Start Temp 1
execute if score Start Temp matches 600 run bossbar set start visible true
bossbar set start players @a

#set sign
data merge block 112 6 8 {Color: "red", GlowingText: 1b, Text2: '{"text":"Game started","color":"red"}'}

#count players
scoreboard players set Ready Temp 0
execute as @a[tag=Player,tag=!not_voted] run scoreboard players add Ready Temp 1

scoreboard players set Declined Temp 0
execute as @a[tag=!Player,tag=!not_voted] run scoreboard players add Declined Temp 1

scoreboard players set notDeclined Temp 0
execute as @a[tag=Player,tag=!not_voted] run scoreboard players add notDeclined Temp 1
execute as @a[tag=Player,tag=not_voted] run scoreboard players add notDeclined Temp 1

#display the bossbars
execute store result bossbar start value run scoreboard players get Start Temp

#declined
execute as @a if score @s Declined matches 1.. run tag @s remove not_voted
execute as @a if score @s Declined matches 1.. run tag @s remove Player

#accepted
execute as @a if score @s Ready matches 1.. run tag @s remove not_voted
execute as @a if score @s Ready matches 1.. unless score gamemode Data matches 1 run tag @s add seat

#display the status
execute unless score Players Data matches ..2 run execute as @a[tag=Player,tag=not_voted] run title @s actionbar {"text":"Drop to vote","color":"green"}
execute unless score Players Data matches ..2 run execute as @a[tag=!Player,tag=!not_voted] run title @s actionbar {"text":"You are a spectator","color":"red"}
execute unless score Players Data matches ..2 run execute as @a[tag=Player,tag=!not_voted] run title @s actionbar {"text":"You are ready","color":"green"}

#clear the needed persons
clear @a[tag=!not_voted]

#when the timer ends
execute unless score Start Temp matches 0 run schedule function start:vote 1t
execute if score Start Temp matches 0 run schedule clear start:vote
execute if score Start Temp matches 0 run bossbar set start visible false

#mark players spectator if not reacted
execute if score Start Temp matches 0 run clear @a slime_ball
execute if score Start Temp matches 0 run clear @a magma_cream
execute if score Start Temp matches 0 run tag @a[tag=Player,tag=not_voted] remove Player
execute if score Start Temp matches 0 run tag @a[tag=!Player,tag=not_voted] remove not_voted

#re read player ammounts
scoreboard players set not_voted Temp 0
execute as @a[tag=Player,tag=not_voted] run scoreboard players add not_voted Temp 1

scoreboard players set Ready Temp 0
execute as @a[tag=Player,tag=!not_voted] run scoreboard players add Ready Temp 1

#not enaugh players
execute if score Players Data matches ..2 run tellraw @a ["",{"text":"\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n----------------------------------------","color":"red"},{"text":"\n  "},{"text":"A minimum of 3 players are required to play!","color":"yellow"},{"text":"\n"},{"text":"----------------------------------------","color":"red"}]
execute if score Players Data matches ..2 run bossbar set start visible false
execute if score Players Data matches ..2 run clear @a slime_ball
execute if score Players Data matches ..2 run clear @a magma_cream
execute if score Players Data matches ..2 run scoreboard players set Start Temp 0
execute if score Players Data matches ..2 run schedule clear start:vote
execute if score Players Data matches ..2 run kill @e[type=item]
execute if score Players Data matches ..2 run data merge block 112 6 8 {Color: "green", GlowingText: 1b, Text2: '{"text":"Start Game","color":"green","clickEvent":{"action":"run_command","value":"/function start:button"}}'}

#not enaugh ready votes
execute if score not_voted Temp matches 0 if score Ready Temp matches ..2 run tellraw @a ["",{"text":"\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n----------------------------------------","color":"red"},{"text":"\n  "},{"text":"A minimum of 3 players are required to play!","color":"yellow"},{"text":"\n"},{"text":"----------------------------------------","color":"red"}]
execute if score not_voted Temp matches 0 if score Ready Temp matches ..2 run bossbar set start visible false
execute if score not_voted Temp matches 0 if score Ready Temp matches ..2 run clear @a slime_ball
execute if score not_voted Temp matches 0 if score Ready Temp matches ..2 run clear @a magma_cream
execute if score not_voted Temp matches 0 if score Ready Temp matches ..2 run kill @e[type=item]
execute if score not_voted Temp matches 0 if score Ready Temp matches ..2 run scoreboard players set Start Temp 0
execute if score not_voted Temp matches 0 if score Ready Temp matches ..2 run schedule clear start:vote
execute if score not_voted Temp matches 0 if score Ready Temp matches ..2 run data merge block 112 6 8 {Color: "green", GlowingText: 1b, Text2: '{"text":"Start Game","color":"green","clickEvent":{"action":"run_command","value":"/function start:button"}}'}

#actually start the game
execute if score not_voted Temp matches 0 if score Ready Temp matches 3.. run schedule function start:start 1t
execute if score not_voted Temp matches 0 if score Ready Temp matches 3.. run bossbar set start visible false
execute if score not_voted Temp matches 0 if score Ready Temp matches 3.. run clear @a slime_ball
execute if score not_voted Temp matches 0 if score Ready Temp matches 3.. run clear @a magma_cream
execute if score not_voted Temp matches 0 if score Ready Temp matches 3.. run scoreboard players set Start Temp 0
execute if score not_voted Temp matches 0 if score Ready Temp matches 3.. run schedule clear start:vote
execute if score not_voted Temp matches 0 if score Ready Temp matches 3.. run data merge block 112 6 8 {Color: "green", GlowingText: 1b, Text2: '{"text":"Start Game","color":"green","clickEvent":{"action":"run_command","value":"/function start:button"}}'}

#tell in chat
execute as @a if score @s Ready matches 1 run tellraw @a ["",{"selector":"@s","color":"green","bold": true},{"text":" is ready to play!","color":"green"}]
execute as @a if score @s Declined matches 1 run tellraw @a ["",{"selector":"@s","color":"red","bold": true},{"text":" will spectate this game!","color":"red"}]

#play soundeffects
execute as @a if score @s Ready matches 1 at @s run playsound btp:effects.vote.play weather @s
execute as @a if score @s Declined matches 1 at @s run playsound btp:effects.vote.spectate weather @s

#reset scoreboards
scoreboard players set @a Declined 0
scoreboard players set @a Ready 0
